org.apache.cassandra.db.filter

## Class RowFilter.CustomExpression

- java.lang.Object
- - org.apache.cassandra.db.filter.RowFilter.Expression
  - - org.apache.cassandra.db.filter.RowFilter.CustomExpression

Enclosing class:
  RowFilter

    public static final class RowFilter.CustomExpression
    extends RowFilter.Expression

A custom index expression for use with 2i implementations which support custom syntax and which are not necessarily linked to a single column in the base table.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.filter.RowFilter.Expression

`RowFilter.Expression.Kind`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.filter.RowFilter.Expression

`column, operator, value`

### Constructor Summary

Constructors
Constructor and Description
`CustomExpression(CFMetaData cfm, IndexMetadata targetIndex, java.nio.ByteBuffer value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexMetadata` `getTargetIndex()`
`java.nio.ByteBuffer` `getValue()`
`boolean` `isSatisfiedBy(CFMetaData metadata, DecoratedKey partitionKey, Row row)` Returns whether the provided row satisfied this expression or not.
`protected RowFilter.Expression.Kind` `kind()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.db.filter.RowFilter.Expression

`column, equals, getIndexValue, getValue, hashCode, isContains, isContainsKey, isCustom, isUserDefined, operator, validate, validateForIndexing`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CustomExpression

    public CustomExpression(CFMetaData cfm,
                            IndexMetadata targetIndex,
                            java.nio.ByteBuffer value)

### Method Detail

#### getTargetIndex

    public IndexMetadata getTargetIndex()

#### getValue

    public java.nio.ByteBuffer getValue()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### kind

    protected RowFilter.Expression.Kind kind()

Specified by:
  `kind` in class `RowFilter.Expression`

#### isSatisfiedBy

    public boolean isSatisfiedBy(CFMetaData metadata,
                                 DecoratedKey partitionKey,
                                 Row row)

Description copied from class: `RowFilter.Expression`
Returns whether the provided row satisfied this expression or not.

Specified by:
  `isSatisfiedBy` in class `RowFilter.Expression`
  `partitionKey` - the partition key for row to check.
  `row` - the row to check. It should *not* contain deleted cells (i.e. it should come from a RowIterator).
Returns:
  whether the row is satisfied by this expression.